$color-base-text: #212121
$color-base-black: #000
$color-base-white: #fff
$color-base-red: #db1f26
$color-base-blue: #0147b0
$color-base-gray: #eee
$color-bg-red: #e80f17
$color-text-blue: #1e53ae
$base-margin: 10px

.event-calendar-wrapper
	position: relative


.event-calendar
	color: $color-base-text
	font-size: 14px
	min-height: 375px
	min-width: 940px
	width: 100%

	&__toolbar
		align-items: center
		display: flex
		flex-wrap: nowrap
		margin: $base-margin 0
		width: 100%

	&__title
		text-transform: capitalize

	&__toolbar-title
		font-size: 1.286em
		margin: 0 $base-margin

	&__btn
		margin: 0 $base-margin

		&:first-child
			margin-left: 0

		&:last-child
			margin-right: 0

		&--today
			margin-left: auto


	&__calendar-grid
		border-top: 2px solid $color-base-blue
		border-right: 2px solid $color-base-blue

	&__calendar-row
		display: flex
		flex-wrap: nowrap

	&__day
		border-left: 2px solid $color-base-blue
		border-bottom: 2px solid $color-base-blue
		position: relative
		text-align: left
		width: calc(100%/7)

		&--weekday
			font-weight: 600
			padding: $base-margin*2 0
			text-align: center
			text-transform: uppercase

		&--past &__title
				color: rgba($color-base-text, 0.5)

		&--today &__title
				color: $color-base-red

		&__title
			justify-content: center
			display: flex
			font-size: 1.143em
			font-weight: 600
			margin: $base-margin*2 0

	&__event
		background: $color-base-white
		border: 2px solid $color-text-blue
		border-radius: $base-margin
		box-sizing: border-box
		color: $color-base-black
		padding: $base-margin $base-margin/1.25
		display: block
		font-size: 1em
		font-weight: 500
		margin: $base-margin
		text-decoration: none
		position: relative
		z-index: 2

		&:nth-child(even)
			background-color: $color-text-blue
			border: 2px solid $color-text-blue
			color: $color-base-white


		&:nth-child(odd)
			background: $color-base-white
			border: 2px solid $color-text-blue
			color: $color-base-black

		&:nth-child(3n)
			border: 2px solid $color-base-text
			background-color: $color-base-gray
			color: $color-base-text

		&--repeated
			visibility: hidden

		&--cross-1
			width: calc(100% - $base-margin*2)

		&--cross-2
			width: calc(200% - $base-margin*2)

		&--cross-3
			width: calc(300% - $base-margin*2)

		&--cross-4
			width: calc(400% - $base-margin*2)

		&--cross-5
			width: calc(500% - $base-margin*2)

		&--cross-6
			width: calc(600% - $base-margin*2)

		&--cross-7
			width: calc(700% - $base-margin*2)

